Index: /trunk/sources/HeuristicLab.Security.Core/HeuristicLab.Security.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Security.Core/HeuristicLab.Security.Core.csproj	(revision 1522)
+++ /trunk/sources/HeuristicLab.Security.Core/HeuristicLab.Security.Core.csproj	(revision 1523)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Security.Core</RootNamespace>
-    <AssemblyName>HeuristicLab.Security.Core</AssemblyName>
+    <AssemblyName>HeuristicLab.Security.Core-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -46,5 +46,5 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="SecurityManager.cs" />
+    <Compile Include="SecurityCorePlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
@@ -63,4 +63,7 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
@@ -71,3 +74,11 @@
   </Target>
   -->
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Security.Core/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Security.Core/Properties/AssemblyInfo.frame	(revision 1523)
+++ /trunk/sources/HeuristicLab.Security.Core/Properties/AssemblyInfo.frame	(revision 1523)
@@ -0,0 +1,59 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Security.Core")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("9A54C04F-E1B3-490a-AB49-D3F42CAAB4F1")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.sln
===================================================================
--- /trunk/sources/HeuristicLab.sln	(revision 1522)
+++ /trunk/sources/HeuristicLab.sln	(revision 1523)
@@ -159,5 +159,5 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.StatisticalAnalysis", "HeuristicLab.StatisticalAnalysis\HeuristicLab.StatisticalAnalysis.csproj", "{1DAA4952-8D6B-4D43-A9E5-5466053DA777}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.Core", "HeuristicLab.Security.Core\HeuristicLab.Security.Core.csproj", "{F734E19F-11B3-41EA-B302-52CA7644F8ED}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.Core", "HeuristicLab.Security.Core\HeuristicLab.Security.Core.csproj", "{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}"
 EndProject
 Global
@@ -2169,24 +2169,24 @@
 		{1DAA4952-8D6B-4D43-A9E5-5466053DA777}.Visualization Debug|x64.ActiveCfg = Debug|Any CPU
 		{1DAA4952-8D6B-4D43-A9E5-5466053DA777}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.CEDMA Debug|x64.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.GP Debug|x64.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.GP Debug|x86.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Release|Any CPU.Build.0 = Release|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Release|x64.ActiveCfg = Release|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Release|x86.ActiveCfg = Release|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Visualization Debug|x64.ActiveCfg = Debug|Any CPU
-		{F734E19F-11B3-41EA-B302-52CA7644F8ED}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.CEDMA Debug|x64.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.GP Debug|x64.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.GP Debug|x86.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Any CPU.Build.0 = Release|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|x64.ActiveCfg = Release|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|x86.ActiveCfg = Release|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Visualization Debug|x64.ActiveCfg = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution